/**
 * Copyright (c) 2009-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.ws.adapters;

import org.ow2.petals.registry.api.ws.adapters.EndpointAdapter;
import org.ow2.petals.registry.api.ws.adapters.InformationAdapter;
import org.ow2.petals.registry.api.ws.adapters.QueryAdapter;
import org.ow2.petals.registry.api.ws.adapters.ResourceAdapter;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public final class AdaptersManager {

    private static EndpointAdapter endpointAdapter;

    private static ResourceAdapter resourceAdapter;
    
    private static InformationAdapter informationAdapter;

    private static QueryAdapter queryAdapter;

    private AdaptersManager() {
    }

    public static EndpointAdapter getEndpointAdapter() {
        if (endpointAdapter == null) {
            endpointAdapter = new EndpointAdapterImpl();
        }
        return endpointAdapter;
    }

    public static ResourceAdapter getResourceAdapter() {
        if (resourceAdapter == null) {
            resourceAdapter = new ResourceAdapterImpl();
        }
        return resourceAdapter;
    }
    
    public static InformationAdapter getInformationAdapter() {
        if (informationAdapter == null) {
            informationAdapter = new InformationAdapterImpl();
        }
        return informationAdapter;
    }

    public static QueryAdapter getQueryAdapter() {
        if (queryAdapter == null) {
            queryAdapter = new QueryAdapterImpl();
        }
        return queryAdapter;
    }
}
