/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry;

import java.io.File;
import java.net.URI;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Level;
import org.apache.log4j.Logger;
import org.ow2.petals.registry.api.config.Configuration;
import org.ow2.petals.registry.api.config.DBConfiguration;
import org.ow2.petals.registry.core.manager.GenericIncomingManagerImpl;
import org.ow2.petals.registry.core.manager.GenericOutgoingManagerImpl;
import org.ow2.petals.registry.core.repository.jdbc.JDBCRepository;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 */
public abstract class AbstractRegistryTestCase {

    static {
        BasicConfigurator.configure();
        Logger.getRootLogger().setLevel(Level.INFO);
    }

    /**
     * The class logger
     */
    protected Log log = LogFactory.getLog(AbstractRegistryTestCase.class);

    protected Configuration getFloodingConfiguration(String name) {
        Configuration configuration = new Configuration(name);
        configuration.setIncomingManagerClassName(GenericIncomingManagerImpl.class.getName());
        configuration.setOutgoingManagerClassName(GenericOutgoingManagerImpl.class.getName());
        configuration.setRepositoryClassName(JDBCRepository.class.getName());

        configuration.setDbConfiguration(new DBConfiguration());
        try {
            URI uri = this.getClass().getClassLoader().getResource(".").toURI();
            File root = new File(uri);
            configuration.setRootPath(root.getAbsolutePath());
        } catch (Exception e) {
            e.printStackTrace();
        }

        return configuration;
    }
}
