/**
 * Copyright (c) 2008-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.registry.core.repository;

import static org.junit.Assert.assertNotNull;

import org.junit.Test;
import org.ow2.petals.registry.api.config.Configuration;
import org.ow2.petals.registry.api.context.Context;
import org.ow2.petals.registry.api.repository.Repository;
import org.ow2.petals.registry.core.factory.RepositoryFactory;
import org.ow2.petals.registry.core.manager.GenericIncomingManagerImpl;
import org.ow2.petals.registry.core.manager.GenericOutgoingManagerImpl;
import org.ow2.petals.registry.core.repository.jdbc.JDBCRepository;

/**
 * @author Christophe HAMERLING - EBM WebSourcing
 * @author Charles CASADEI - EBM WebSourcing
 */
public class RepositoryFactoryTest {

    /**
     * Creates a new instance of RepositoryFactoryTest
     * 
     * @param name
     */
    public RepositoryFactoryTest() {
    }

    @Test
    public void testLoadRepositoryForFloodingPolicy() throws Exception {
        Configuration config = new Configuration(RepositoryFactoryTest.class.getName());
        config.setIncomingManagerClassName(GenericIncomingManagerImpl.class.getName());
        config.setOutgoingManagerClassName(GenericOutgoingManagerImpl.class.getName());
        config.setRepositoryClassName(JDBCRepository.class.getName());
        config.setRegistryTransportTimeout("15000");

        Repository repo = RepositoryFactory.load(config);
        Context context = Context.getContext(RepositoryFactoryTest.class.getName());
        assertNotNull(repo);
        assertNotNull(context);
    }

    /*
     * public void testLoadRepositoryForSlavePolicy() throws Exception {
     * Configuration config = new
     * Configuration(RepositoryFactoryTest.class.getName());
     * config.setIncomingManagerClassName(SlaveIncomingManager.class.getName());
     * config.setOutgoingManagerClassName(SlaveOutgoingManager.class.getName());
     * config.setRepositoryClassName(JDBCRepository.class.getName());
     * config.setCxfHttpTransporterTimeout("15000");
     * 
     * Repository repo = RepositoryFactory.load(config); Context context =
     * Context.getContext(RepositoryFactoryTest.class.getName());
     * assertNotNull(repo); assertNotNull(context); }
     * 
     * //TODO public void testLoadRepositoryForMasterPolicy() throws Exception {
     * Configuration config = new
     * Configuration(RepositoryFactoryTest.class.getName());
     * config.setIncomingManagerClassName
     * (SequentialFloodingIncomingManager.class.getName());
     * config.setOutgoingManagerClassName
     * (SequentialFloodingOutgoingManager.class.getName());
     * config.setRepositoryClassName(JDBCRepository.class.getName());
     * config.setCxfHttpTransporterTimeout("15000");
     * 
     * Repository repo = RepositoryFactory.load(config); Context context =
     * Context.getContext(RepositoryFactoryTest.class.getName());
     * assertNotNull(repo); assertNotNull(context); }
     */
}
